function fanalyt(fsin)
% fanalytd(fsin)
% Animierte Darstellung des analytischen Sinus-Signals 
% der Frequenz fsin (in Einheiten der Abtastfrequenz).

% Autor: Klaus von der Heide, e-mail:  v.d.heide@on-line.de

v   = 0.1;                   % Tempo der Animation
m   = 32;                    % Anzahl der Abtastungen im Bild
f   = mod(fsin+0.5,1) - 0.5; % transformieren nach -0.5..0.5
t   = 0:m;                   % Zeitbereich
komplexanimat(exp(i*2*pi*f*t),[1 1 1 1])
