function ok = iseinschritt2d(inmat)
% ok = iseinschritt2d(inmat)
% Prfung der 4x4-Matrix inmat auf Einschrittigkeit in Zeilen 
% und Spalten und auf Vollstndigkeit.

% Autor: Klaus von der Heide, e-mail:  v.d.heide@on-line.de

[m,n] = size(inmat);
if m~=4|n~=4  ok = 0; break; end
ok = 1;
for zle=1:4
   for spa=1:3
      d  = abs(inmat(zle,spa) - inmat(zle,spa+1));
      ok = ok*((d==1)|(d==10)|(d==100)|(d==1000));
   end
end
for spa=1:4
   for zle=1:3
      d  = abs(inmat(zle,spa) - inmat(zle+1,spa));
      ok = ok*((d==1)|(d==10)|(d==100)|(d==1000));
   end
end
ok = ok*all(ismember([1000 1001 1101 1100 1110 1111 1011 1010 ...
            0010 0011 0111 0110 0100 0101 0001 0000],flach(inmat)));
