%
%
% Versuch 2:  Abtastung%<'FontWeight',MSVTITLWEIGHT,'FontSize',MSVTITLSIZE-16,'Color',MSVTITLCOLOR>
%
%
%
%  Ein analoges zeitkontinuierliches Signal  {\fontname{Courier}x(t)} wird digitalisiert durch Abtastung 
%  des Signalwertes an quidistanten Zeitpunkten  {\fontname{Courier}t_n}  (Zeitdiskretisierung)
%  und digitale Reprsentation der Abtastwerte  {\fontname{Courier}y_n} (Quantisierung):
%  y_n = x(t_n)    %<'FontName',MSVFORMFONT>
%
%  Zunchst betrachten wir ein reelles Sinus-Signal, dessen Frequenz  {\fontname{Courier}f}  relativ zur 
%  Abtastfrequenz  {\fontname{Courier}f_s}  zu bestimmen ist.  Gesucht ist also  {\fontname{Courier}f/f_s} .
%
reellsin
%
%%  Aufgabe 2.1:  Bestimmen Sie  {\fontname{Courier}f/f_s}  durch Auszhlung der Abtastschritte. 
%%  Ein Abtastschritt hat die zeitliche Lnge  {\fontname{Courier}t_s = 1/f_s} . 
%%  Die Periode der Sinusschwingung hat die Lnge  {\fontname{Courier}1/f = T = a t_s} , wo  
%%  {\fontname{Courier}a}  die Anzahl der Abtastschritte in einer vollen Sinusschwingung ist.    
%%  Klicken Sie dann auf  "freqdlg" und geben Sie nun den Wert fr  {\fontname{Courier}f/f_s}  in das 
%%  dort erscheinende Editierfenster.  Die Antwort erscheint im Kommandofenster.
%
freqdlg
%
%  Hinweis:   
%  Die Eingabe wird direkt von MATLAB interpretiert. Deshalb werden Ausdrcke 
%  in MATLAB-Syntax, z.B.   {\fontname{Courier}2/5}  oder  {\fontname{Courier}f} , wo  {\fontname{Courier}f}  die Variable mit der aktuellen 
%  Frequenz ist, akzeptiert.  Syntaktisch fehlerhafte Eingaben fhren jedoch zu 
%  Fehlermeldungen.
%
%  Das Spektrum des zeitdiskreten Signals ist periodisch mit der  {\fontname{Courier}Periode = f_s} , 
%  wo  {\fontname{Courier}f_s}  die Abtastfrequenz ist.  berdies ist bei einem reellen zeitdiskreten Signal 
%  die Periode symmetrisch um  {\fontname{Courier}f = f_s/2} .
%
%  Seien  {\fontname{Courier}x(t)}  und  {\fontname{Courier}t_n}  gegeben.  Dann bezeichnet man alle Signale  {\fontname{Courier}x'(t)} , 
%  deren Spektrum von  {\fontname{Courier}x'(t_n)}  identisch ist mit dem von  {\fontname{Courier}x(t_n)} , als Alias.
%
%%  Aufgabe 2.2:  Wie viele Alias zu dem eben visualisierten Sinus-Signal gibt es 
%%  im Frequenzbereich zwischen  0  und  3*fs ?  
%%  Klicken Sie auf die folgende Funktion und geben Sie Ihre Antwort in das Dialogfenster.  
%%  Ein Kommentar erscheint dann im Kommandofenster.
%
aliasdlg
%
%  Hinweis:
%  Betrachten Sie die drei Perioden  {\fontname{Courier}0...3f_s} im Frequenzbereich und beachten 
%  Sie die beiden ber der Aufgabe stehenden Abstze.  Das Spektrum eines 
%  kontinuierlichen Sinus-Signals ist eine Deltafunktion bei der Sinusfrequenz.
%
%
%%  Aufgabe 2.3:  Geben Sie die Frequenzen der Alias zu  sin(2*pi*f*t)  
%%  zwischen  0  und  3*fs  an, und zwar wie bei f relativ zu fs.  
%%  Die Zahlen mssen durch Komma oder Leerzeichen getrennt sein, z.B.   0.3  1.2  5.7 .
%%  Die Antwort erscheint im Kommandofenster.
%
faliasdlg
%
%  Die Sinusschwingung ist die Projektion einer Kreisbewegung.  In der Projektion 
%  ist die Drehrichtung nicht erkennbar.  Positive und negative Frequenzen, d.h. 
%  Rechts- und Linksdrehungen sind deshalb nicht unterscheidbar. 
%  Kennt man die Drehbewegung durch Hinzunahme des sog. Imaginrteils, so zeigt 
%  das komplexwertige Spektrum dieses analytischen Signals die Symmetrie nicht. 
%  Innerhalb des Bereiches  {\fontname{Courier}0...f_s}  gibt es dann keine Alias.
%
%%  Aufgabe 2.4: Es werden zeitliche Ablufe
%
%  e^{i2\pift} = cos(2\pift) + i\cdotsin(2\pift)    %<'FontName',MSVFORMFONT>
%
%%  in der komplexen Ebene gezeigt. Die Frequenz ist wie oben relativ zu  fs  zu bestimmen. 
%%  Blicken Sie lngs der Zeitrichtung.  Zum Zhlen ist evtl. der Cursor hilfreich.
%%  Tippen Sie  "h"  fr Hilfe zum Bild, wenn das Bild fokussiert ist.
%%  Klicken Sie  "fanalytdlg" , um die Frequenz einzugeben. 
%%  Es sind dabei zwei Zahlen in das Fenster einzugeben:
%%  die Nummer  (1 . . . 6)  und die Frequenz, z.B.   3  0.123.
%%  Die Antwort erscheint im Kommandofenster.
%
fanalyt(fa(1));  % Frequenz 1
%
fanalyt(fa(2));  % Frequenz 2
%
fanalyt(fa(3));  % Frequenz 3
%
fanalyt(fa(4));  % Frequenz 4
%
fanalyt(fa(5));  % Frequenz 5
% 
fanalyt(fa(6));  % Frequenz 6
%
fanalytdlg
%

